* [gentoo-commits] repo/proj/guru:dev commit in: sci-libs/saclib/
@ 2020-04-25 19:45 Alessandro Barbieri
0 siblings, 0 replies; 7+ messages in thread
From: Alessandro Barbieri @ 2020-04-25 19:45 UTC (permalink / raw
To: gentoo-commits
commit: 1c46922a5e4240b4c2b34503e9820378c4755643
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat Apr 25 15:22:42 2020 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sat Apr 25 15:22:42 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1c46922a
sci-libs/saclib: use tc-getCC
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sci-libs/saclib/{saclib-2.2.7.ebuild => saclib-2.2.7-r1.ebuild} | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/sci-libs/saclib/saclib-2.2.7.ebuild b/sci-libs/saclib/saclib-2.2.7-r1.ebuild
similarity index 91%
rename from sci-libs/saclib/saclib-2.2.7.ebuild
rename to sci-libs/saclib/saclib-2.2.7-r1.ebuild
index cd8b160..ca396ff 100644
--- a/sci-libs/saclib/saclib-2.2.7.ebuild
+++ b/sci-libs/saclib/saclib-2.2.7-r1.ebuild
@@ -3,6 +3,8 @@
EAPI="7"
+inherit toolchain-funcs
+
MYP="${PN}${PV}"
MAJOR=$(ver_cut 1)
@@ -58,7 +60,7 @@ src_compile() {
cd ../lib/objo || die
fi
- echo "${CC}" *.o "-fPIC -shared ${CFLAGS} ${LDFLAGS} -Wl,-soname,${FULLLIBNAME} -o ../${FULLLIBNAME}" > make.sh || die
+ echo $(tc-getCC) *.o "-fPIC -shared ${CFLAGS} ${LDFLAGS} -Wl,-soname,${FULLLIBNAME} -o ../${FULLLIBNAME}" > make.sh || die
bash make.sh || die
cd .. || die
ln -s "${FULLLIBNAME}" "${MINMAJLIBNAME}" || die
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: sci-libs/saclib/
@ 2020-04-27 6:59 Andrew Ammerlaan
0 siblings, 0 replies; 7+ messages in thread
From: Andrew Ammerlaan @ 2020-04-27 6:59 UTC (permalink / raw
To: gentoo-commits
commit: 8e29a958bfa3e9d80777864c9d96c8f171486f5e
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Apr 27 06:58:50 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Apr 27 06:58:50 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8e29a958
sci-libs/saclib: shorten description
makes repoman happy
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
sci-libs/saclib/saclib-2.2.7-r1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/sci-libs/saclib/saclib-2.2.7-r1.ebuild b/sci-libs/saclib/saclib-2.2.7-r1.ebuild
index ca396ff..cb91a9a 100644
--- a/sci-libs/saclib/saclib-2.2.7-r1.ebuild
+++ b/sci-libs/saclib/saclib-2.2.7-r1.ebuild
@@ -15,7 +15,7 @@ MAJLIBNAME="${LIBNAME}.${MAJOR}"
MINMAJLIBNAME="${MAJLIBNAME}.${MINOR}"
FULLLIBNAME="${MINMAJLIBNAME}.${REVISION}"
-DESCRIPTION="contains reference implementations of numerous algorithms and also forms the basis of the quantifier elimination systems QEPCAD"
+DESCRIPTION="Reference implementations of algorithms and forms the basis of QEPCAD"
HOMEPAGE="https://www.usna.edu/Users/cs/wcbrown/qepcad/B/QEPCAD.html"
SRC_URI="https://www.usna.edu/Users/cs/wcbrown/qepcad/INSTALL/${MYP}.tar.gz"
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: sci-libs/saclib/
@ 2021-07-13 6:54 Alessandro Barbieri
0 siblings, 0 replies; 7+ messages in thread
From: Alessandro Barbieri @ 2021-07-13 6:54 UTC (permalink / raw
To: gentoo-commits
commit: 8bc7dea2d176afcaa3321006f488e47ddf5fa562
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Jul 13 05:45:58 2021 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Tue Jul 13 06:54:57 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8bc7dea2
sci-libs/saclib: various fixes
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sci-libs/saclib/saclib-2.2.7-r1.ebuild | 79 ----------------------
...clib-2.2.7-r2.ebuild => saclib-2.2.7-r3.ebuild} | 37 +++++-----
2 files changed, 16 insertions(+), 100 deletions(-)
diff --git a/sci-libs/saclib/saclib-2.2.7-r1.ebuild b/sci-libs/saclib/saclib-2.2.7-r1.ebuild
deleted file mode 100644
index cb91a9a86..000000000
--- a/sci-libs/saclib/saclib-2.2.7-r1.ebuild
+++ /dev/null
@@ -1,79 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-
-inherit toolchain-funcs
-
-MYP="${PN}${PV}"
-
-MAJOR=$(ver_cut 1)
-MINOR=$(ver_cut 2)
-REVISION=$(ver_cut 3)
-LIBNAME="lib${PN}.so"
-MAJLIBNAME="${LIBNAME}.${MAJOR}"
-MINMAJLIBNAME="${MAJLIBNAME}.${MINOR}"
-FULLLIBNAME="${MINMAJLIBNAME}.${REVISION}"
-
-DESCRIPTION="Reference implementations of algorithms and forms the basis of QEPCAD"
-HOMEPAGE="https://www.usna.edu/Users/cs/wcbrown/qepcad/B/QEPCAD.html"
-SRC_URI="https://www.usna.edu/Users/cs/wcbrown/qepcad/INSTALL/${MYP}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-IUSE="debug"
-
-RDEPEND=""
-DEPEND=""
-BDEPEND="
- app-shells/bash
- app-shells/tcsh
-"
-
-S="${WORKDIR}/${MYP}"
-
-DOCS=( doc/saclib.pdf doc/saclocal.dvi doc/desc.doc )
-
-src_prepare() {
- export saclib="${S}"
- sed -i "s|SACFLAG=|SACFLAG=-fPIC ${CFLAGS} |g" bin/mklib || die
- default
- #TODO: disable static lib building
-}
-
-src_configure() {
- cd "${saclib}/bin" || die
- ./sconf || die
- ./mkproto || die
- ./mkmake || die
-}
-
-src_compile() {
- cd "${saclib}/bin" || die
- if use debug ; then
- ./mklib deb || die
- cd ../lib/objd || die
- else
- ./mklib opt || die
- cd ../lib/objo || die
- fi
-
- echo $(tc-getCC) *.o "-fPIC -shared ${CFLAGS} ${LDFLAGS} -Wl,-soname,${FULLLIBNAME} -o ../${FULLLIBNAME}" > make.sh || die
- bash make.sh || die
- cd .. || die
- ln -s "${FULLLIBNAME}" "${MINMAJLIBNAME}" || die
- ln -s "${MINMAJLIBNAME}" "${MAJLIBNAME}" || die
- ln -s "${MAJLIBNAME}" "${LIBNAME}" || die
-}
-
-src_install() {
- einstalldocs
- dolib.so "lib/${FULLLIBNAME}"
- dolib.so "lib/${MINMAJLIBNAME}"
- dolib.so "lib/${MAJLIBNAME}"
- dolib.so "lib/${LIBNAME}"
- insinto /usr/include/saclib
- doins -r include/.
-}
diff --git a/sci-libs/saclib/saclib-2.2.7-r2.ebuild b/sci-libs/saclib/saclib-2.2.7-r3.ebuild
similarity index 76%
rename from sci-libs/saclib/saclib-2.2.7-r2.ebuild
rename to sci-libs/saclib/saclib-2.2.7-r3.ebuild
index 631d69b07..6de03d8f8 100644
--- a/sci-libs/saclib/saclib-2.2.7-r2.ebuild
+++ b/sci-libs/saclib/saclib-2.2.7-r3.ebuild
@@ -3,21 +3,14 @@
EAPI="7"
-inherit toolchain-funcs
-
MYP="${PN}${PV}"
-MAJOR=$(ver_cut 1)
-MINOR=$(ver_cut 2)
-REVISION=$(ver_cut 3)
-LIBNAME="lib${PN}.so"
-MAJLIBNAME="${LIBNAME}.${MAJOR}"
-MINMAJLIBNAME="${MAJLIBNAME}.${MINOR}"
-FULLLIBNAME="${MINMAJLIBNAME}.${REVISION}"
+inherit toolchain-funcs
DESCRIPTION="Reference implementations of algorithms and forms the basis of QEPCAD"
HOMEPAGE="https://www.usna.edu/Users/cs/wcbrown/qepcad/B/QEPCAD.html"
SRC_URI="https://www.usna.edu/Users/cs/wcbrown/qepcad/INSTALL/${MYP}.tar.gz"
+S="${WORKDIR}/${MYP}"
LICENSE="MIT"
SLOT="0"
@@ -25,23 +18,26 @@ KEYWORDS="~amd64"
IUSE="debug"
-RDEPEND=""
-DEPEND=""
BDEPEND="
app-shells/bash
app-shells/tcsh
"
-S="${WORKDIR}/${MYP}"
-
PATCHES=( "${FILESDIR}/makefile.patch" )
-
DOCS=( doc/saclib.pdf doc/saclocal.dvi doc/desc.doc )
src_prepare() {
+ MAJOR=$(ver_cut 1)
+ MINOR=$(ver_cut 2)
+ REVISION=$(ver_cut 3)
+ export LIBNAME="lib${PN}.so"
+ export MAJLIBNAME="${LIBNAME}.${MAJOR}"
+ export MINMAJLIBNAME="${MAJLIBNAME}.${MINOR}"
+ export FULLLIBNAME="${MINMAJLIBNAME}.${REVISION}"
export saclib="${S}"
- export FULLLIBNAME
- export CC=$(tc-getCC)
+ tc-export CC
+ #no main, it's a library
+ rm src/main.c || die
default
}
@@ -53,19 +49,18 @@ src_configure() {
}
src_compile() {
- cd "${saclib}/bin" || die
+ pushd "${saclib}/bin" || die
if use debug ; then
./mklib deb || die
- cd ../lib/objd || die
else
./mklib opt || die
- cd ../lib/objo || die
fi
-
- cd .. || die
+ popd || die
+ pushd lib || die
ln -s "${FULLLIBNAME}" "${MINMAJLIBNAME}" || die
ln -s "${MINMAJLIBNAME}" "${MAJLIBNAME}" || die
ln -s "${MAJLIBNAME}" "${LIBNAME}" || die
+ popd || die
}
src_install() {
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: sci-libs/saclib/
@ 2021-08-31 7:52 Alessandro Barbieri
0 siblings, 0 replies; 7+ messages in thread
From: Alessandro Barbieri @ 2021-08-31 7:52 UTC (permalink / raw
To: gentoo-commits
commit: abd37eaad7e3b8d30bf78e7f889828d8d2f9a7c2
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Aug 31 07:52:25 2021 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Tue Aug 31 07:52:25 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=abd37eaa
sci-libs/saclib: add 2.2.8, drop 2.2.7-r3
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sci-libs/saclib/Manifest | 2 +-
sci-libs/saclib/{saclib-2.2.7-r3.ebuild => saclib-2.2.8.ebuild} | 6 +++---
2 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/sci-libs/saclib/Manifest b/sci-libs/saclib/Manifest
index 775ccac9a..50550d1d4 100644
--- a/sci-libs/saclib/Manifest
+++ b/sci-libs/saclib/Manifest
@@ -1 +1 @@
-DIST saclib2.2.7.tar.gz 4381306 BLAKE2B e882b18c92efd0e4da5b6b825f50cbf901c66d42d58cb5d2be83fe93f0f3d41daabb836816ab18390c480c0389859e0e4b20a7f718351fe3dd2eaac789c6dafc SHA512 1b7ae179e816ace05ccb190e3dd6a99f67defe4d316915a8348cbd40108313e951354d156adfe1e9dbadc9807ec6b3a8b828da42492ad744f00925f7abc607d3
+DIST saclib2.2.8.tgz 3060308 BLAKE2B 446546e02e3571bc523bd7602894f161d3c569ddd2126dd596125b7623a20bd44df2d04d062ec3891d2f4c4dadf1a63c9ab840316a47c68ff86ff9d841b9da35 SHA512 72589e07beed5abd2fce7a37c4e91122814d6b0fb373b19664c4892a4a68064bacbe886d76ec66c18aec76e54ae022b90a0dfd1b5ca68d617f4bfa8251ea8fb4
diff --git a/sci-libs/saclib/saclib-2.2.7-r3.ebuild b/sci-libs/saclib/saclib-2.2.8.ebuild
similarity index 96%
rename from sci-libs/saclib/saclib-2.2.7-r3.ebuild
rename to sci-libs/saclib/saclib-2.2.8.ebuild
index 6de03d8f8..41c5511d1 100644
--- a/sci-libs/saclib/saclib-2.2.7-r3.ebuild
+++ b/sci-libs/saclib/saclib-2.2.8.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="7"
+EAPI=8
MYP="${PN}${PV}"
@@ -9,7 +9,7 @@ inherit toolchain-funcs
DESCRIPTION="Reference implementations of algorithms and forms the basis of QEPCAD"
HOMEPAGE="https://www.usna.edu/Users/cs/wcbrown/qepcad/B/QEPCAD.html"
-SRC_URI="https://www.usna.edu/Users/cs/wcbrown/qepcad/INSTALL/${MYP}.tar.gz"
+SRC_URI="https://www.usna.edu/Users/cs/wcbrown/qepcad/INSTALL/${MYP}.tgz"
S="${WORKDIR}/${MYP}"
LICENSE="MIT"
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: sci-libs/saclib/
@ 2022-05-01 4:14 Alessandro Barbieri
0 siblings, 0 replies; 7+ messages in thread
From: Alessandro Barbieri @ 2022-05-01 4:14 UTC (permalink / raw
To: gentoo-commits
commit: 412b5118c567f0ecf50138e52dc6e460480d454e
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun May 1 04:06:41 2022 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sun May 1 04:14:33 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=412b5118
sci-libs/saclib: add 2.2.8_p20220501
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sci-libs/saclib/Manifest | 1 +
sci-libs/saclib/saclib-2.2.8_p20220501.ebuild | 42 +++++++++++++++++++++++++++
2 files changed, 43 insertions(+)
diff --git a/sci-libs/saclib/Manifest b/sci-libs/saclib/Manifest
index 50550d1d4..089489a6a 100644
--- a/sci-libs/saclib/Manifest
+++ b/sci-libs/saclib/Manifest
@@ -1 +1,2 @@
+DIST saclib-2.2.8_p20220501.tar.gz 2494609 BLAKE2B b68bf17645294d6575e4b5412c69ae658a1b2694b4144d69bb516080ee5ae1d92fb6a1400f4fe7422d79c8ee0a96206709e7fca841aa319523e724eacd73d063 SHA512 d5e61150136f1519bcdf2dbe35160f5381e8e8da1a3049847737aa946ca71e1958277d7b8120a2c764cdb8aeb98faece16094695fabe45efbcd17c14ad1b6253
DIST saclib2.2.8.tgz 3060308 BLAKE2B 446546e02e3571bc523bd7602894f161d3c569ddd2126dd596125b7623a20bd44df2d04d062ec3891d2f4c4dadf1a63c9ab840316a47c68ff86ff9d841b9da35 SHA512 72589e07beed5abd2fce7a37c4e91122814d6b0fb373b19664c4892a4a68064bacbe886d76ec66c18aec76e54ae022b90a0dfd1b5ca68d617f4bfa8251ea8fb4
diff --git a/sci-libs/saclib/saclib-2.2.8_p20220501.ebuild b/sci-libs/saclib/saclib-2.2.8_p20220501.ebuild
new file mode 100644
index 000000000..1a4c79f56
--- /dev/null
+++ b/sci-libs/saclib/saclib-2.2.8_p20220501.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+COMMIT="94ca9329bcb3ddbf99f34fe6417c3f76ea44248e"
+
+DESCRIPTION="Reference implementations of algorithms and forms the basis of QEPCAD"
+HOMEPAGE="
+ https://www.usna.edu/Users/cs/wcbrown/qepcad/B/QEPCAD.html
+ https://github.com/Alessandro-Barbieri/saclib
+"
+SRC_URI="https://github.com/Alessandro-Barbieri/${PN}/archive/${COMMIT}.tar.gz -> ${PF}.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="app-shells/tcsh"
+
+DOCS=( doc/saclib.pdf doc/saclocal.dvi README CHANGELOG )
+
+src_prepare() {
+ # no main, it's a library
+ rm src/main.c || die
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DSACLIB_DOC=OFF
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ einstalldocs
+ cmake_src_install
+}
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: sci-libs/saclib/
@ 2022-05-02 7:19 Alessandro Barbieri
0 siblings, 0 replies; 7+ messages in thread
From: Alessandro Barbieri @ 2022-05-02 7:19 UTC (permalink / raw
To: gentoo-commits
commit: c1eaa1063698d268ded5baaf7e4737536183a592
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon May 2 07:07:21 2022 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Mon May 2 07:19:48 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c1eaa106
sci-libs/saclib: add 2.2.8_p20220502, drop 2.2.8_p20220501
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sci-libs/saclib/Manifest | 2 +-
.../{saclib-2.2.8_p20220501.ebuild => saclib-2.2.8_p20220502.ebuild} | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/sci-libs/saclib/Manifest b/sci-libs/saclib/Manifest
index 089489a6a..ae5fc1cbb 100644
--- a/sci-libs/saclib/Manifest
+++ b/sci-libs/saclib/Manifest
@@ -1,2 +1,2 @@
-DIST saclib-2.2.8_p20220501.tar.gz 2494609 BLAKE2B b68bf17645294d6575e4b5412c69ae658a1b2694b4144d69bb516080ee5ae1d92fb6a1400f4fe7422d79c8ee0a96206709e7fca841aa319523e724eacd73d063 SHA512 d5e61150136f1519bcdf2dbe35160f5381e8e8da1a3049847737aa946ca71e1958277d7b8120a2c764cdb8aeb98faece16094695fabe45efbcd17c14ad1b6253
+DIST saclib-2.2.8_p20220502.tar.gz 2493217 BLAKE2B b8975533bf98c740579b60f4b803b376715cfb042efef4adb1493d565efb48ae873adfd441716bc35ab33fb2d882b9b8c2cf7011da6fdb293359a1c2b7e0eab2 SHA512 7f759cb7ee66777b7915fab9b1b8a795d80b784caaa11c2f66e72fca482d5114109f8a4788aa04b78df110d02b626182d8b4bf5c44d9c6f4c3910a2fa1f7f9ee
DIST saclib2.2.8.tgz 3060308 BLAKE2B 446546e02e3571bc523bd7602894f161d3c569ddd2126dd596125b7623a20bd44df2d04d062ec3891d2f4c4dadf1a63c9ab840316a47c68ff86ff9d841b9da35 SHA512 72589e07beed5abd2fce7a37c4e91122814d6b0fb373b19664c4892a4a68064bacbe886d76ec66c18aec76e54ae022b90a0dfd1b5ca68d617f4bfa8251ea8fb4
diff --git a/sci-libs/saclib/saclib-2.2.8_p20220501.ebuild b/sci-libs/saclib/saclib-2.2.8_p20220502.ebuild
similarity index 94%
rename from sci-libs/saclib/saclib-2.2.8_p20220501.ebuild
rename to sci-libs/saclib/saclib-2.2.8_p20220502.ebuild
index 1a4c79f56..bfdfd28c2 100644
--- a/sci-libs/saclib/saclib-2.2.8_p20220501.ebuild
+++ b/sci-libs/saclib/saclib-2.2.8_p20220502.ebuild
@@ -5,7 +5,7 @@ EAPI=8
inherit cmake
-COMMIT="94ca9329bcb3ddbf99f34fe6417c3f76ea44248e"
+COMMIT="ea3b65a61b762fc7f929ad9beeec80e1269828fc"
DESCRIPTION="Reference implementations of algorithms and forms the basis of QEPCAD"
HOMEPAGE="
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: sci-libs/saclib/
@ 2022-05-02 20:01 Alessandro Barbieri
0 siblings, 0 replies; 7+ messages in thread
From: Alessandro Barbieri @ 2022-05-02 20:01 UTC (permalink / raw
To: gentoo-commits
commit: 8dab9c48bb53903001e98ba43cf3019779fba6d9
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon May 2 17:47:02 2022 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Mon May 2 20:01:14 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8dab9c48
sci-libs/saclib: add version with patches
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sci-libs/saclib/Manifest | 2 +-
.../{saclib-2.2.8_p20220502.ebuild => saclib-2.2.8_p20220502-r1.ebuild} | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/sci-libs/saclib/Manifest b/sci-libs/saclib/Manifest
index ae5fc1cbb..71a3569e9 100644
--- a/sci-libs/saclib/Manifest
+++ b/sci-libs/saclib/Manifest
@@ -1,2 +1,2 @@
-DIST saclib-2.2.8_p20220502.tar.gz 2493217 BLAKE2B b8975533bf98c740579b60f4b803b376715cfb042efef4adb1493d565efb48ae873adfd441716bc35ab33fb2d882b9b8c2cf7011da6fdb293359a1c2b7e0eab2 SHA512 7f759cb7ee66777b7915fab9b1b8a795d80b784caaa11c2f66e72fca482d5114109f8a4788aa04b78df110d02b626182d8b4bf5c44d9c6f4c3910a2fa1f7f9ee
+DIST saclib-2.2.8_p20220502-r1.tar.gz 2493425 BLAKE2B 5e5b631617ce317d5d7f4d5844ab32b5dabc01d0cbee7486d98288fc30b4a26e4d1d9d69ccdf886fde0584c6196b33f9aa7488bb24bd6170ff1b41ffed68219c SHA512 0e3ad12ee1129cbb792d1275563d718abd5a0ddaf458ce55fe8d72200a0545b2d6c5de7052651909d0c85631ea12d1f342c33a044ebeac48e947c2f96edf64ed
DIST saclib2.2.8.tgz 3060308 BLAKE2B 446546e02e3571bc523bd7602894f161d3c569ddd2126dd596125b7623a20bd44df2d04d062ec3891d2f4c4dadf1a63c9ab840316a47c68ff86ff9d841b9da35 SHA512 72589e07beed5abd2fce7a37c4e91122814d6b0fb373b19664c4892a4a68064bacbe886d76ec66c18aec76e54ae022b90a0dfd1b5ca68d617f4bfa8251ea8fb4
diff --git a/sci-libs/saclib/saclib-2.2.8_p20220502.ebuild b/sci-libs/saclib/saclib-2.2.8_p20220502-r1.ebuild
similarity index 94%
rename from sci-libs/saclib/saclib-2.2.8_p20220502.ebuild
rename to sci-libs/saclib/saclib-2.2.8_p20220502-r1.ebuild
index bfdfd28c2..007252bd0 100644
--- a/sci-libs/saclib/saclib-2.2.8_p20220502.ebuild
+++ b/sci-libs/saclib/saclib-2.2.8_p20220502-r1.ebuild
@@ -5,7 +5,7 @@ EAPI=8
inherit cmake
-COMMIT="ea3b65a61b762fc7f929ad9beeec80e1269828fc"
+COMMIT="4e5e3addfe4d75718b5a06e7ff0eaa332111d8fe"
DESCRIPTION="Reference implementations of algorithms and forms the basis of QEPCAD"
HOMEPAGE="
^ permalink raw reply related [flat|nested] 7+ messages in thread
end of thread, other threads:[~2022-05-02 20:01 UTC | newest]
Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-05-02 7:19 [gentoo-commits] repo/proj/guru:dev commit in: sci-libs/saclib/ Alessandro Barbieri
-- strict thread matches above, loose matches on Subject: below --
2022-05-02 20:01 Alessandro Barbieri
2022-05-01 4:14 Alessandro Barbieri
2021-08-31 7:52 Alessandro Barbieri
2021-07-13 6:54 Alessandro Barbieri
2020-04-27 6:59 Andrew Ammerlaan
2020-04-25 19:45 Alessandro Barbieri
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox